# Uses of Class
org.eclipse.jface.text.TextPresentation

Packages that use TextPresentation
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.presentation
Provides a presentation reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of TextPresentation in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type TextPresentation
Modifier and Type
Method
Description
`void`
ITextPresentationListener.`applyTextPresentation(TextPresentation textPresentation)`
This method is called when a text presentation is about to be applied to the text viewer.
`static void`
TextPresentation.`applyTextPresentation(TextPresentation presentation, StyledText text)`
Applies the given presentation to the given text widget.
`void`
ITextViewer.`changeTextPresentation(TextPresentation presentation, boolean controlRedraw)`
Applies the color information encoded in the given text presentation.
`void`
TextViewer.`changeTextPresentation(TextPresentation presentation, boolean controlRedraw)`
`String`
DefaultInformationControl.IInformationPresenter.`updatePresentation(Display display, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight)`
Deprecated.
As of 3.2, replaced by `DefaultInformationControl.IInformationPresenterExtension.updatePresentation(Drawable, String, TextPresentation, int, int)`
`String`
DefaultInformationControl.IInformationPresenterExtension.`updatePresentation(Drawable drawable, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight)`
Updates the given presentation of the given information and thereby may manipulate the information to be displayed.

## Uses of TextPresentation in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist with parameters of type TextPresentation
Modifier and Type
Method
Description
`boolean`
IContextInformationPresenter.`updatePresentation(int offset, TextPresentation presentation)`
Updates the given presentation of the given context information at the given document position.

## Uses of TextPresentation in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type TextPresentation
Modifier and Type
Method
Description
`void`
DefaultHyperlinkPresenter.`applyTextPresentation(TextPresentation textPresentation)`

## Uses of TextPresentation in org.eclipse.jface.text.presentation

Methods in org.eclipse.jface.text.presentation that return TextPresentation
Modifier and Type
Method
Description
`protected TextPresentation`
PresentationReconciler.`createPresentation(IRegion damage, IDocument document)`
Constructs a "repair description" for the given damage and returns this description as a text presentation.
Methods in org.eclipse.jface.text.presentation with parameters of type TextPresentation
Modifier and Type
Method
Description
`void`
IPresentationRepairer.`createPresentation(TextPresentation presentation, ITypedRegion damage)`
Fills the given presentation with the style ranges which when applied to the presentation reconciler's text viewer repair the presentation damage described by the given region.

## Uses of TextPresentation in org.eclipse.jface.text.rules

Methods in org.eclipse.jface.text.rules with parameters of type TextPresentation
Modifier and Type
Method
Description
`protected void`
DefaultDamagerRepairer.`addRange(TextPresentation presentation, int offset, int length, TextAttribute attr)`
Adds style information to the given text presentation.
`void`
DefaultDamagerRepairer.`createPresentation(TextPresentation presentation, ITypedRegion region)`

## Uses of TextPresentation in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type TextPresentation
Modifier and Type
Method
Description
`void`
AnnotationPainter.`applyTextPresentation(TextPresentation tp)`